org.eclipse.cdt.utils.debug.stabs

## Class StringField

- java.lang.Object
- - org.eclipse.cdt.utils.debug.stabs.StringField

    public class StringField
    extends Object

Format: string_field = name ':' symbol-descriptor type-information

### Constructor Summary

Constructors
Constructor and Description
`StringField(String s)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`char` `getSymbolDescriptor()`
`String` `getTypeInformation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringField

    public StringField(String s)

### Method Detail

#### getName

    public String getName()

#### getSymbolDescriptor

    public char getSymbolDescriptor()

#### getTypeInformation

    public String getTypeInformation()